# Schicht aktualisieren

`PUT https://{tenant}.stamp.eu/rest/shifts/{shift}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `shift` | string | ja | The shift ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `name` | string | nein |
| `abbreviation` | string \| null | nein |
| `color` | string \| null | nein |
| `start_time` | string | nein |
| `end_time` | string | nein |
| `break_duration` | string \| null | nein |
| `is_overnight` | boolean \| null | nein |
| `schedule_model_id` | string \| null | nein |
| `work_area_id` | string \| null | nein |
| `note` | string \| null | nein |
| `fairness_weight` | integer | nein |
| `tags` | string[] \| null | nein |

## Antworten

### 200: `ShiftResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.name` | string | ja |
| `data.abbreviation` | string | ja |
| `data.color` | string | ja |
| `data.start_time` | string | ja |
| `data.end_time` | string | ja |
| `data.break_duration` | string | ja |
| `data.is_overnight` | string | ja |
| `data.schedule_model_id` | string | ja |
| `data.work_area_id` | string | ja |
| `data.tags` | string \| string[] | ja |
| `data.note` | string | ja |
| `data.fairness_weight` | integer | ja |
| `data.net_duration_ms` | integer | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
